List audit records for a service
The returned records are sorted by the execution_time from newest to oldest.
See Cursor-based pagination for instructions on how to paginate through the result set.
For more information see the Audit API Document.
Scoped OAuth requires: audit_records.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
The minimum of the limit parameter used in the request or the maximum request size of the API.
Optional parameter used to request the "next" set of results from an API. The value provided here is most commonly obtained from the next_cursor field of the previous request. When no value is provided, the request starts at the beginning of the result set.
The start of the date range over which you want to search. If not specified, defaults to now() - 24 hours (past 24 hours)
date-timeThe end of the date range over which you want to search. If not specified, defaults to now(). May not be more than 31 days after since.
date-timeHeader Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
Get a service GET
Get details about an existing service. A service may represent an application, component, or team you wish to open incidents against. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#services) Scoped OAuth requires: `services.read`
List Service's Event Rules GET
List Event Rules on a Service. <!-- theme: warning --> > ### End-of-life > Rulesets and Event Rules will end-of-life soon. We highly recommend that you [migrate to Event Orchestration](https://support.pagerduty.com/docs/migrate-to-event-orchestration) as soon as possible so you can take advantage of the new functionality, such as improved UI, rule creation, APIs and Terraform support, advanced conditions, and rule nesting. Scoped OAuth requires: `services.read`